<?php
ob_start();
define('NTOP', 1);
$title = 'Регистрация';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');

if($set['power_reg'] == 0){
echo '<div class="stat"><font color="red">Регистрация закрыта!</font></div>';
require_once ('foot.php');exit;
}

echo '<div class="topik">Регистрация</div>';
if(isset($_POST['ok'])){
$login = filter($_POST['login']);
$mail = filter($_POST['mail']);
$pass = filter($_POST['password']);
$pass1 = filter($_POST['password1']);
$mem = $_POST['mem'];
		$kod = (int)$_POST['kod'];
$error = '';
if($pass != $pass1){
$error .= 'Пароли не совпадают!';
}
if(empty($mem)){
$error .= 'Нужно прочитать и соблюдать правила!<br>';
}
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users` WHERE `login` = '".$login."' LIMIT 1")) != 0){
$error .= 'Логин уже зарегистрирован! Выберите другой!<br>';
}
if (!preg_match('|^[a-z0-9\-_]+$|i',$login)){
$error .= 'В логине можно использовать только латиницу и цифры!<br>';
}
if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail)){
$error .= 'Вы ввели неверный адрес e-mail, например top@zipvap.ru!<br>';
}
if (!empty($mail) and (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users` WHERE `mail` = '".$mail."' LIMIT 1")) != 0)){
$error .= 'Пользователь с таким e-mail уже зарегистрирован!<br>';
}
if(empty($login) or empty($mail) or empty($pass) or empty($pass1) or empty($kod))
{
$error .= 'Все поля обязательны к заполнению!<br>';
}
if(!empty($error)){
echo '<div class="stat">'.$error.'<a href="/str/reg.php">Назад</a></div>';
}else{
$subject = "Регистрация в топ рейтинге ".$set['home'];
$body = "Вы зapeгиcтриpoвaны в рейтинге сайтов ".$set['home'].".\nВaши дaнные:\n";
$body .= "Логин: ".$login."\nПароль: ".$pass."\n";
$body .= "Не теряйте свои данные!\n";
$headers = "From: ".$set['mail']." \n";
$headers .= "Content-Type: text/plain; charset=utf-8\n";
mail($mail, $subject, $body, $headers);
unset($_SESSION['kod']);
mysql_query("INSERT INTO `".$prefix."users` SET `login` = '".$login."', `password` = '".md5($pass)."', `mail` = '".$mail."', `page_news` = '".$set['page_news']."', `page_newsc` = '".$set['page_newsc']."', `page_sait` = '".$set['page_sait']."', `page_platforms` = '".$set['page_platforms']."', `page_top` = '".$set['page_top']."', `page_sait_comments` = '".$set['page_sait_comments']."', `pages` = '".$set['pages']."', `level` = '1', `time_reg` = '".time()."'");

echo '<div class="stat">Вы успешно зарегистрировались!<br>
<a href="/str/enter.php">Вход</a></div>';

}
}else{
echo '<div class="stat"><form action="reg.php" method="post">Логин: [A-z0-9_-]<br>
<input name="login" type="text" value="" ><br>Пароль:<br>
<input name="password" type="text" value="" ><br>Повторите пароль:<br>
<input name="password1" type="text" value="" ><br>Email :<br>
<input name="mail" type="text" value="'.$_POST['mail'].'" ><br>
Код с картинки: <img src="http://'.$set['home'].'/system/cap.php" alt="Включите показ картинки" /><br/>
<input name="kod" type="text" value="" /><br/><br/>
<input name="mem" type="checkbox" value="1" /> Я согласен с <a href="/help/rules.php">правилами</a>!<br>
<input name="ok" type="submit" value="Регистрация" ></form>
<br><small>Все поля ОБЯЗАТЕЛЬНЫ к заполнению!</small></div>';
}
require_once ('foot.php');
?>